Package org.apache.uima.ruta.example.extensions

# Class ExampleCondition

java.lang.Object
org.apache.uima.ruta.RutaElement
org.apache.uima.ruta.condition.AbstractRutaCondition
org.apache.uima.ruta.example.extensions.ExampleCondition

public class ExampleCondition extends org.apache.uima.ruta.condition.AbstractRutaCondition

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExampleCondition(org.apache.uima.ruta.expression.string.AbstractStringExpression expr, org.apache.uima.ruta.expression.string.AbstractStringExpression format)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.uima.ruta.rule.EvaluatedCondition`
  `eval(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream, org.apache.uima.ruta.visitor.InferenceCrowd crowd)`
  `org.apache.uima.ruta.expression.string.AbstractStringExpression`
  `getExpr()`
  `org.apache.uima.ruta.expression.string.AbstractStringExpression`
  `getFormatExpr()`

  ### Methods inherited from class org.apache.uima.ruta.condition.AbstractRutaCondition

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExampleCondition

    public ExampleCondition(org.apache.uima.ruta.expression.string.AbstractStringExpression expr, org.apache.uima.ruta.expression.string.AbstractStringExpression format)

- ## Method Details

  - ### eval

    public org.apache.uima.ruta.rule.EvaluatedCondition eval(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream, org.apache.uima.ruta.visitor.InferenceCrowd crowd)
    Specified by:
      `eval` in class `org.apache.uima.ruta.condition.AbstractRutaCondition`

  - ### getExpr

    public org.apache.uima.ruta.expression.string.AbstractStringExpression getExpr()

  - ### getFormatExpr

    public org.apache.uima.ruta.expression.string.AbstractStringExpression getFormatExpr()